use rand::Rng;

/// Generates a random WebSocket client key
pub fn websocket_client_key() -> [u8; 16] {
    rand::thread_rng().gen()
}

/// Generates a masking key
pub fn masking_key() -> [u8; 4] {
    rand::thread_rng().gen()
}